Package com.databricks.jdbc.auth

## Class JwtPrivateKeyClientCredentials.Builder

- java.lang.Object
- - com.databricks.jdbc.auth.JwtPrivateKeyClientCredentials.Builder

Enclosing class:
  JwtPrivateKeyClientCredentials

    public static class JwtPrivateKeyClientCredentials.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JwtPrivateKeyClientCredentials` `build()`
`JwtPrivateKeyClientCredentials.Builder` `withClientId​(String clientId)`
`JwtPrivateKeyClientCredentials.Builder` `withHttpClient​(IDatabricksHttpClient hc)`
`JwtPrivateKeyClientCredentials.Builder` `withJwtAlgorithm​(String jwtAlgorithm)`
`JwtPrivateKeyClientCredentials.Builder` `withJwtKeyFile​(String jwtKeyFile)`
`JwtPrivateKeyClientCredentials.Builder` `withJwtKeyPassphrase​(String jwtKeyPassphrase)`
`JwtPrivateKeyClientCredentials.Builder` `withJwtKid​(String jwtKid)`
`JwtPrivateKeyClientCredentials.Builder` `withScopes​(List<String> scopes)`
`JwtPrivateKeyClientCredentials.Builder` `withTokenUrl​(String tokenUrl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### withClientId

    public JwtPrivateKeyClientCredentials.Builder withClientId​(String clientId)

#### withTokenUrl

    public JwtPrivateKeyClientCredentials.Builder withTokenUrl​(String tokenUrl)

#### withScopes

    public JwtPrivateKeyClientCredentials.Builder withScopes​(List<String> scopes)

#### withHttpClient

    public JwtPrivateKeyClientCredentials.Builder withHttpClient​(IDatabricksHttpClient hc)

#### withJwtAlgorithm

    public JwtPrivateKeyClientCredentials.Builder withJwtAlgorithm​(String jwtAlgorithm)

#### withJwtKeyPassphrase

    public JwtPrivateKeyClientCredentials.Builder withJwtKeyPassphrase​(String jwtKeyPassphrase)

#### withJwtKid

    public JwtPrivateKeyClientCredentials.Builder withJwtKid​(String jwtKid)

#### withJwtKeyFile

    public JwtPrivateKeyClientCredentials.Builder withJwtKeyFile​(String jwtKeyFile)

#### build

    public JwtPrivateKeyClientCredentials build()